/// A single source of truth for styling values like padding, spacing, corner shape, font sizes, and so on.
///
/// These constants can then be used in place of hard-coded numeric values.
class Insets {
  /// An extra extra small inset of 2.0.
  static const double xxs = 2.0;

  /// An extra small inset of 4.0.
  static const double xs = 4.0;

  /// A small inset of 6.0.
  static const double s = 6.0;

  /// A medium inset of 8.0.
  static const double m = 8.0;

  /// A large inset of 10.0.
  static const double l = 10.0;

  /// An extra large inset of 12.0.
  static const double xl = 12.0;

  /// An extra extra large inset of 16.0.
  static const double xxl = 16.0;
}
